com.amazon.redshift.gss

## Class GSSCallbackHandler

- java.lang.Object
- - com.amazon.redshift.gss.GSSCallbackHandler

All Implemented Interfaces:
  CallbackHandler

    public class GSSCallbackHandler
    extends Object
    implements CallbackHandler

### Constructor Summary

Constructors
Constructor and Description
`GSSCallbackHandler(String user, String password)`

### Method Summary

Methods
`void` `handle(Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GSSCallbackHandler

    public GSSCallbackHandler(String user,
                      String password)

### Method Detail

#### handle

    public void handle(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`